--AH:ScriptId=5e1ca9bb-f71e-45d6-9794-cad9456c60ce;2986
CREATE TABLE [JobTemplates]
(
	[JobTemplate_Id] INT IDENTITY(1, 1) NOT NULL,
	[JobTemplate_Name] NVARCHAR(100) NOT NULL,
	[JobTemplate_Configuration] XML NOT NULL,

	CONSTRAINT [PK__JobTemplates]
		PRIMARY KEY ([JobTemplate_Id]),

	CONSTRAINT [UQ__JobTemplate]
		UNIQUE ([JobTemplate_Name]),

	CONSTRAINT [CK__JobTemplate__JobTemplate_Name]
		CHECK (LTRIM(RTRIM([JobTemplate_Name])) = [JobTemplate_Name] AND [JobTemplate_Name] <> '')
)

ALTER TABLE [Jobs]
	ADD [TriggeredByTemplate_Id] INT NULL

GO

ALTER TABLE [Jobs]
	ADD CONSTRAINT [FK__Jobs__JobTemplates]
		FOREIGN KEY ([TriggeredByTemplate_Id])
		REFERENCES [JobTemplates] ([JobTemplate_Id])
		ON DELETE SET NULL