EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'EnvironmentServers_GetEnvironmentServers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'EnvironmentServers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the environment server links in the system.'
GO

IF OBJECT_ID('[EnvironmentServers_GetEnvironmentServers]') IS NOT NULL DROP PROCEDURE [EnvironmentServers_GetEnvironmentServers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [EnvironmentServers_GetEnvironmentServers]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [EnvironmentServers]

END
GO

GRANT EXECUTE ON [EnvironmentServers_GetEnvironmentServers] TO [OtterUser_Role]